View Issue Details

IDProjectCategoryView StatusLast Update
0001178bareos-core[All Projects] webuipublic2020-02-11 17:19
ReporterfrankAssigned Toarogge 
PrioritynormalSeveritymajorReproducibilityalways
Status closedResolutionfixed 
Product Version19.2.5 
Fixed in Version19.2.6 
Summary0001178: backup job selection in restore module is populated not properly
DescriptionThere are all types of backup jobs in the list besides those which should only be listed, like for example restore or consolidate jobs. This is because of a recent change on a bconsole command in a client controller method which introduced this regression. It also lead to a wrong sorting described in issue#1174, see https://bugs.bareos.org/view.php?id=1174 .
Additional InformationIt's kind of related to https://bugs.bareos.org/view.php?id=1174 .
TagsNo tags attached.
bareos-master: impactyes
bareos-master: actionfixed
bareos-19.2: impactyes
bareos-19.2: actionfixed
bareos-18.2: impactno
bareos-18.2: action
bareos-17.2: impactno
bareos-17.2: action
bareos-16.2: impactno
bareos-16.2: action
bareos-15.2: impact
bareos-15.2: action
bareos-14.2: impact
bareos-14.2: action
bareos-13.2: impact
bareos-13.2: action
bareos-12.4: impact
bareos-12.4: action

Relationships

related to 0001177 closedarogge Release Bareos 19.2.6 
related to 0001174 closedfrank reversed sort order on the restore client selection 
has duplicate 0001186 closedarogge Hard to restore with bareos webui after upgrading to 19.2 

Activities

frank

frank

2020-02-06 16:02

manager   ~0003734

Reproducable
arogge

arogge

2020-02-11 17:19

developer   ~0003785

Fixed in Bareos 19.2.6

Issue History

Date Modified Username Field Change
2020-02-06 16:02 frank New Issue
2020-02-06 16:02 frank Status new => assigned
2020-02-06 16:02 frank Assigned To => frank
2020-02-06 16:02 frank Status assigned => confirmed
2020-02-06 16:02 frank Note Added: 0003734
2020-02-06 16:10 frank Relationship added related to 0001177
2020-02-06 16:11 frank Relationship added related to 0001174
2020-02-10 16:58 frank Assigned To frank =>
2020-02-10 16:58 frank Status confirmed => resolved
2020-02-10 16:58 frank Resolution open => fixed
2020-02-10 16:58 frank Fixed in Version => 19.2.6
2020-02-10 16:58 frank bareos-19.2: impact => yes
2020-02-10 16:58 frank bareos-19.2: action => fixed
2020-02-11 17:16 arogge Relationship added has duplicate 0001186
2020-02-11 17:19 arogge Assigned To => arogge
2020-02-11 17:19 arogge Status resolved => closed
2020-02-11 17:19 arogge bareos-master: impact => yes
2020-02-11 17:19 arogge bareos-master: action => fixed
2020-02-11 17:19 arogge bareos-18.2: impact => no
2020-02-11 17:19 arogge bareos-17.2: impact => no
2020-02-11 17:19 arogge bareos-16.2: impact => no
2020-02-11 17:19 arogge Note Added: 0003785